# Списки
"""
1. Создайте два любых списка и свяжите их с переменными.
"""
arr1 = [1, 2, 3, 4, 5]
arr2 = ["a", "b", "c", "d", "e"]


"""
2. Извлеките из первого списка второй элемент.
"""
print(arr1[1])


"""
3. Измените во втором списке последний элемент. Выведите список на экран.
"""
arr2[-1] = "v"
print(arr2)


"""
4. Соедините оба списка в один, присвоив результат новой переменной.
Выведите получившийся список на экран.
"""
arr3 = arr1 + arr2
print(arr3)


"""
5. "Снимите" срез из соединенного списка так, чтобы туда попали
некоторые части обоих первых списков. Срез свяжите с очередной
новой переменной. Выведите значение этой переменной.
"""
arr4 = arr3[2:8]
print(arr4)


"""
6. Добавьте в список два новых элемента и снова выведите его.
"""
arr5 = ["k", "n"]
arr4.extend(arr5)
print(arr4)


"""7. Даны списки:
a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89];
b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13].
Нужно вернуть список, который состоит из элементов,
общих для этих двух списков. -- !не использовать циклы
"""
a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89]
b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
result1 = set(a) & set(b)
print(result1)

result2 = [x for x in b if x in a]
print(result2)

"""
8. Есть список: [1, 2, 3, 4, 3, 2, 5, 1, 4, 6, 7, 1, 8, 2, 3]
оставить в нем только уникальные значения. !не использовать циклы
"""
lis_a = [1, 2, 3, 4, 3, 2, 5, 1, 4, 6, 7, 1, 8, 2, 3]
print(set(lis_a))


# Логические операции
"""
Присвойте двум переменным любые числовые значения.
"""
a = 10
b = 5


"""
Используя переменные из п. 1, с помощью оператора and составьте два сложных
логических выражения, одно из которых дает истину, другое – ложь.
"""
print(a < 12 and b > 4)
print(a < 11 and b > 6)


"""
Аналогично выполните п. 2, но уже с оператором or.
"""
print(a < 12 or b > 4)
print(a < 9 or b > 7)


"""
Попробуйте использовать в логических выражениях переменные строкового типа.
Объясните результат.
"""
a1 = "qwe"
b1 = "rtq"
print(a1.startswith('q') is b1.endswith('q'))


"""
Напишите программу, которая запрашивала бы у пользователя два числа и
выводила бы True или False в зависимости от того, больше первое число
второго или нет. (используйте функцию input() )
"""
a = input()
b = input()
print(b < a)


# Словари
"""
1. Создайте словарь, связав его с переменной school, и наполните его данными,
которые бы отражали количество учащихся в десяти разных классах
(например, 1а, 1б, 2б, 6а, 7в и т.д.).
"""
school = {'1a': 22, '2a': 20, '3a': 24, '4a': 28, '5a': 27,
          '6a': 21, '7a': 23, '8a': 20, '9a': 25, '10a': 26}


"""
2. Узнайте сколько человек в каком-нибудь классе.
"""
school_class = school["2a"]
print(school_class)


"""
3. Представьте, что в школе произошли изменения, внесите их в словарь:
◦ в трех классах изменилось количество учащихся;
◦ в школе появилось два новых класса;
◦ в школе расформировали один из классов.
"""
b = {'1a': 28, '2a': 22, '3a': 26}
school.update(b)
b = {'1b': 28, '2b': 22}
school.update(b)
b = {'4a': None}
school.update(b)


"""
4. Выведите содержимое словаря на экран.
"""
print(school)


# Кортежи
"""
Создайте кортеж с цифрами от 0 до 9 и посчитайте сумму.
(ожидаемый вывод суммы = 45)
"""
a = (0, 1, 2, 3, 4, 5, 6, 7, 8, 9)
print(sum(a))


"""
Есть кортеж long_word = ('т', 'т', 'а', 'и', 'и', 'а', 'и', 'и', 'и', 'т', 'т',
'а', 'и', 'и', 'и', 'и', 'и', 'т', 'и')
распечатайте на экран количество букв “т”, “и”, “а”
"""
long_word = ('т', 'т', 'а', 'и', 'и', 'а', 'и', 'и', 'и', 'т',
             'т', 'а', 'и', 'и', 'и', 'и', 'и', 'т', 'и')
print(long_word.count("т"), long_word.count("и"), long_word.count("а"))

"""
Допишите скрипт для расчета средней температуры.
Постарайтесь посчитать количество дней на основе week_temp.
Так наш скрипт сможет работать с данными за любой период.
"""
# данный код
week_temp = (26, 29, 34, 32, 28, 26, 23)
sum_temp = sum(week_temp)
days = len(week_temp)
mean_temp = sum_temp / days
print(int(mean_temp))
# требуемый вывод:
# 28
